#!/bin/sh
wget -q -O plenum.md "https://md.ccc-mannheim.de/9vP-toraQhOONftDOFuQtw/download"
wget -q -O p5/plenum.md "https://md.ccc-mannheim.de/oirNqftnSbK2esF9xFWvaw/download"
wget -q -O open_software.md "https://md.ccc-mannheim.de/-H4XaDXbTn-3q_ES2RTxDA/download"

if [[ ! -z "$(git status --porcelain --ignore-submodules -unormal)" ]]; then
	echo "[bot] commit dirty changes"
	git commit -m "bot update" -a
fi
if [[ "$(git rev-list --left-right --count HEAD...@'{u}' | cut -f2 )" != "0" ]]; then
	echo "[bot] fetch current version"
	git pull --rebase
fi
if [[ "$(git rev-list --left-right --count HEAD...@'{u}' | cut -f1 )" != "0" ]]; then
	echo "[bot] push commits"
	git remote | xargs -L1 git push --all
fi

